<?php

$misbah_one_page_custom_css = '';

	/*---------------------------text-transform-------------------*/

	$misbah_one_page_text_transform = get_theme_mod( 'menu_text_transform_misbah_one_page','CAPITALISE');

    if($misbah_one_page_text_transform == 'CAPITALISE'){

		$misbah_one_page_custom_css .='.main-navigation ul li a{';

			$misbah_one_page_custom_css .='text-transform: capitalize ; font-size: 16px;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_text_transform == 'UPPERCASE'){

		$misbah_one_page_custom_css .='.main-navigation ul li a{';

			$misbah_one_page_custom_css .='text-transform: uppercase ; font-size: 16px;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_text_transform == 'LOWERCASE'){

		$misbah_one_page_custom_css .='.main-navigation ul li a{';

			$misbah_one_page_custom_css .='text-transform: lowercase ; font-size: 16px;';

		$misbah_one_page_custom_css .='}';
	}

		/*---------------------------menu-zoom-------------------*/

		$misbah_one_page_menu_zoom = get_theme_mod( 'misbah_one_page_menu_zoom','None');

	if($misbah_one_page_menu_zoom == 'None'){

		$misbah_one_page_custom_css .='.main-navigation ul li a{';

			$misbah_one_page_custom_css .='';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_menu_zoom == 'Zoominn'){

		$misbah_one_page_custom_css .='.main-navigation ul li a:hover{';

			$misbah_one_page_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: var(--first-color);';

		$misbah_one_page_custom_css .='}';
	}

	/*---------------------------Slider-content-alignment-------------------*/


$misbah_one_page_slider_content_alignment = get_theme_mod( 'misbah_one_page_slider_content_alignment','LEFT-ALIGN');

if($misbah_one_page_slider_content_alignment == 'LEFT-ALIGN'){

	$misbah_one_page_custom_css .='.blog_box{';

		$misbah_one_page_custom_css .='text-align:left;';

	$misbah_one_page_custom_css .='}';


}else if($misbah_one_page_slider_content_alignment == 'CENTER-ALIGN'){

	$misbah_one_page_custom_css .='.blog_box{';

		$misbah_one_page_custom_css .='text-align:center; right: 30%; left: 30%;';

	$misbah_one_page_custom_css .='}';


}else if($misbah_one_page_slider_content_alignment == 'RIGHT-ALIGN'){

	$misbah_one_page_custom_css .='.blog_box{';

		$misbah_one_page_custom_css .='text-align:right; right: 55%; left: 18%;';

	$misbah_one_page_custom_css .='}';

}


	/*---------------------------Copyright Text alignment-------------------*/

$misbah_one_page_copyright_text_alignment = get_theme_mod( 'misbah_one_page_copyright_text_alignment','LEFT-ALIGN');

 if($misbah_one_page_copyright_text_alignment == 'LEFT-ALIGN'){

		$misbah_one_page_custom_css .='.copy-text p{';

			$misbah_one_page_custom_css .='text-align:left;';

		$misbah_one_page_custom_css .='}';


	}else if($misbah_one_page_copyright_text_alignment == 'CENTER-ALIGN'){

		$misbah_one_page_custom_css .='.copy-text p{';

			$misbah_one_page_custom_css .='text-align:center;';

		$misbah_one_page_custom_css .='}';


	}else if($misbah_one_page_copyright_text_alignment == 'RIGHT-ALIGN'){

		$misbah_one_page_custom_css .='.copy-text p{';

			$misbah_one_page_custom_css .='text-align:right;';

		$misbah_one_page_custom_css .='}';

	}

	/*---------------------------related Product Settings-------------------*/


$misbah_one_page_related_product_setting = get_theme_mod('misbah_one_page_related_product_setting',true);

	if($misbah_one_page_related_product_setting == false){

		$misbah_one_page_custom_css .='.related.products, .related h2{';

			$misbah_one_page_custom_css .='display: none;';

		$misbah_one_page_custom_css .='}';
	}

/*---------------------------Scroll to Top Alignment Settings-------------------*/

	$misbah_one_page_scroll_top_position = get_theme_mod( 'misbah_one_page_scroll_top_position','Right');

	if($misbah_one_page_scroll_top_position == 'Right'){

		$misbah_one_page_custom_css .='.scroll-up{';

			$misbah_one_page_custom_css .='right: 20px;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_scroll_top_position == 'Left'){

		$misbah_one_page_custom_css .='.scroll-up{';

			$misbah_one_page_custom_css .='left: 20px;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_scroll_top_position == 'Center'){

		$misbah_one_page_custom_css .='.scroll-up{';

			$misbah_one_page_custom_css .='right: 50%;left: 50%;';

		$misbah_one_page_custom_css .='}';
	}

		/*---------------------------Pagination Settings-------------------*/


	$misbah_one_page_pagination_setting = get_theme_mod('misbah_one_page_pagination_setting',true);

		if($misbah_one_page_pagination_setting == false){

			$misbah_one_page_custom_css .='.nav-links{';

				$misbah_one_page_custom_css .='display: none;';

			$misbah_one_page_custom_css .='}';
		}
		
	/*---------------------------Container Width-------------------*/

	$misbah_one_page_container_width = get_theme_mod('misbah_one_page_container_width');

		$misbah_one_page_custom_css .='body{';

			$misbah_one_page_custom_css .='width: '.esc_attr($misbah_one_page_container_width).'%; margin: auto';

		$misbah_one_page_custom_css .='}';

	/*---------------------------Woocommerce Pagination Alignment Settings-------------------*/

	$misbah_one_page_woocommerce_pagination_position = get_theme_mod( 'misbah_one_page_woocommerce_pagination_position','Center');

	if($misbah_one_page_woocommerce_pagination_position == 'Left'){

		$misbah_one_page_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$misbah_one_page_custom_css .='text-align: left;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_woocommerce_pagination_position == 'Center'){

		$misbah_one_page_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$misbah_one_page_custom_css .='text-align: center;';

		$misbah_one_page_custom_css .='}';

	}else if($misbah_one_page_woocommerce_pagination_position == 'Right'){

		$misbah_one_page_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$misbah_one_page_custom_css .='text-align: right;';

		$misbah_one_page_custom_css .='}';
	}

/*---------------------------Global Color-------------------*/

$misbah_one_page_first_color = get_theme_mod('misbah_one_page_first_color');
$misbah_one_page_second_color = get_theme_mod('misbah_one_page_second_color');

/*--- First Global Color ---*/

if ($misbah_one_page_first_color) {
  $misbah_one_page_custom_css .= ':root {';
  $misbah_one_page_custom_css .= '--first-color: ' . esc_attr($misbah_one_page_first_color) . ' !important;';
  $misbah_one_page_custom_css .= '} ';
}

/*--- Second Global Color ---*/

if ($misbah_one_page_second_color) {
  $misbah_one_page_custom_css .= ':root {';
  $misbah_one_page_custom_css .= '--second-color: ' . esc_attr($misbah_one_page_second_color) . ' !important;';
  $misbah_one_page_custom_css .= '} ';
}